commoble.bagofyurting.storage

## Class StorageManager

- java.lang.Object
- - commoble.bagofyurting.storage.StorageManager

    public class StorageManager
    extends java.lang.Object

This class manages storage of `BagOfYurtingData`. Should be called only on server side

### Constructor Summary

Constructors
Constructor and Description
`StorageManager()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `has(net.minecraft.server.MinecraftServer server, java.lang.String id)`
`static BagOfYurtingData` `load(net.minecraft.server.MinecraftServer server, java.lang.String id)`
`static void` `onSave(net.minecraft.world.server.ServerWorld world)`
`static void` `remove(java.lang.String id)`
`static void` `save(java.lang.String id, BagOfYurtingData data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageManager

    public StorageManager()

### Method Detail

#### save

    public static void save(java.lang.String id,
                            BagOfYurtingData data)

#### remove

    public static void remove(java.lang.String id)

#### load

    @Nullable
    public static BagOfYurtingData load(net.minecraft.server.MinecraftServer server,
                                                   java.lang.String id)

#### has

    public static boolean has(net.minecraft.server.MinecraftServer server,
                              java.lang.String id)

#### onSave

    public static void onSave(net.minecraft.world.server.ServerWorld world)